Hi
I was able to create spot coordinates from revit.modelLines but Im having issues trying to format the tags. It seems as if the tag_origin is completely unresponsive to the values that are being set and therefore, the tags are all piled up and they would have to be manually moved. Is there any way I could set the spacing between tags ?
Any suggestion would be kindly appreciated
Thanks
def create_spot_coordinates():
create_lines()
selection2=FilteredElementCollector(doc).OfCategory(BuiltInCategory.OST_Lines).WhereElementIsNotElementType().ToElements()
delete_prev_spot_coords()
TransactionManager.Instance.EnsureInTransaction(doc)
for z in selection2:
x_cord=z.ToDSType(False).Geometry()[0].EndPoint.X
y_cord=z.ToDSType(False).Geometry()[0].EndPoint.Y
elements_ref=ReferenceArray()
for i in z.get_Geometry(opt):
if isinstance(i,Line):
gline=i
elements_ref.Append(gline.Reference)
tag_origin=XYZ(x_cord-5000,y_cord-5000,0)
tag_bend=XYZ(x_cord-5,y_cord+1,0)
tag_end=XYZ(x_cord,y_cord,0)
ref_pt=XYZ(x_cord,y_cord,0)
new_spot=doc.Create.NewSpotCoordinate(doc.ActiveView,elements_ref[0],tag_origin,tag_bend,tag_end,ref_pt,True)
spot_coordinates.append(new_spot)
TransactionManager.Instance.TransactionTaskDone()